Bug 1027254 - [Usability] RFE: improve client-side validation
[Usability] RFE: improve client-side validation
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Heiko Braun
Pavel Jelinek
Usability
: Reopened
Depends On:
Blocks: 1017655
  Show dependency treegraph
 
Reported: 2013-11-06 07:37 EST by Jakub Cechacek
Modified: 2017-10-09 20:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 07:38:13 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-299 Minor Open Improve client-side validation 2017-10-09 16:37 EDT

  None (edit)
Description Jakub Cechacek 2013-11-06 07:37:24 EST
Currently client-side validation is used only for few resources. However in same cases the validation is incorrect and valid values are being rejected (see BZ1018800 or BZ1019303), which is even worse than no validation at all. 

Also afaik client-side validation is completely separated from the one on server. This should be addressed in future versions of console with the possibility of re-using server side validation logic/rules in client.
Comment 1 Harald Pehl 2013-11-06 14:58:33 EST
Postponed to EAP 6.3
Comment 2 Heiko Braun 2014-07-09 07:38:13 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 3 Jakub Cechacek 2014-07-21 02:21:38 EDT
Issue moved under the UX component. 

Also moved to 6.4 as this issue is still valid for 6.3. Use ack flags to decide whether we want to go through with it or not.
Comment 4 Catherine Robson 2014-08-01 13:35:14 EDT
Will be bundled into UX messaging and validation work to be addressed in EAP 7.

Note You need to log in before you can comment on or make changes to this bug.